<route>
{
  meta:{
    layout: 'projects'
  }
}
</route>

<template>
  <div>
    <h1>Projects</h1>
    <p>Nothing to see here yet.</p>
  </div>
</template>

<script setup lang="ts">
import { Motion } from 'motion/vue'
import type { Ref } from 'vue'

import dayjs from 'dayjs'
import { usePostStore } from '~/stores/post'

useHead({
  title: computed(() => 'Projects – Flycro'),
  meta: [
    { name: 'description', content: 'Some of my projects that I am happy to share with you.' },
  ],
})

const post = usePostStore()
const show = ref(false)

function convertDate(date: string): string {
  return dayjs(date).format('DD. MMMM YYYY')
}

onMounted(() => {
  post.fetchPosts()
})

</script>

<style scoped>
article.prose.m-auto div div ul.list-none a.no-underline
{
    @apply no-underline
}
</style>
